/*
 *  TEX Device Driver  ver 2.00
 *  copyright(c) 1988, 1989 by TSG.
 *
 *  dviread.h : ファイルから数値を読み出す
 */

#define read_byte(f)    getc(f)
#define read_short(f)   signed_read_n(f,2)
#define read_unsigned_short(f) read_n(f,2)
#define read_mid(f)     signed_read_n(f,3)
#define read_long(f)    signed_read_n(f,4)

char *read_str(FILE *, int);

 /* read strings from disk */
long read_n(FILE *, int);
long signed_read_n(FILE *, int);

/* read from memory (lower byte -> higher byte) */
long long_int(uchar *);

/* save to memory  (lower byte -> higher byte) */
long save_long(uchar *, long);

/* end of file : dviread.h */
